eCos Reference Manual
Prev |  | Next

# load

## Name

load -- Download programs or data to the RedBoot platform

## Synopsis

load [-v ] [-d ] [-r ] [-m [[xmodem | ymodem] | tftp | disk] ] [-h `server_IP_address`] [-b `location`] [-c `channel`] [`file_name`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-v | Boolean | Display a small spinner (indicator) while the download is in progress. This is just for feedback, especially during long loads. Note that the option has no effect when using a serial download method since it would interfere with the protocol. | quiet
-d | Boolean | Decompress data stream (gzip data) | non-compressed data
-r | Boolean | Raw (or binary) data | formatted (S-records, ELF image, etc)
-m tftp |  | Transfer data via the network using TFTP protocol. | TFTP
-m http |  | Transfer data via the network using HTTP protocol. | TFTP
-m xmodem |  | Transfer data using X-modem protocol. | TFTP
-m ymodem |  | Transfer data using Y-modem protocol. | TFTP
-m disk |  | Transfer data from a local disk. | TFTP
-h `server_IP_address` | Numeric IP or DNS name | The IP address of the TFTP or HTTP server. | Value set by ip_address
-b `location` | Number | Address in memory to load the data. Formatted data streams will have an implied load address which this option may override. | Depends on data format
-c `channel` | Number | Specify which I/O channel to use for download. This option is only supported when using either xmodem or ymodem protocol. | Depends on data format
`file_name` | String | The name of the file on the TFTP or HTTP server or the local disk. Details of how this is specified for TFTP are host-specific. For local disk files, the name must be in disk: filename format. The disk portion must match one of the disk names listed by the disks command. | None

## Description

The load command is used to download data into the target system. Data can be loaded via a network connection, using either the TFTP or HTTP protocols, or the console serial connection using the X/Y modem protocol. Files may also be loaded directly from local filesystems on disk. Files to be downloaded may either be executable images in ELF executable program format, Motorola S-record (SREC) format or raw data.

## Examples

Download a Motorola S-record (or ELF) image, using TFTP, specifying the base memory address.

    RedBoot> load redboot.ROM -b 0x8c400000
    Address offset = 0x0c400000
    Entry point: 0x80000000, address range: 0x80000000-0x8000fe80

Download a Motorola S-record (or ELF) image, using HTTP, specifying the host [server] address.

    RedBoot> load /redboot.ROM -m HTTP -h 192.168.1.104
    Address offset = 0x0c400000
    Entry point: 0x80000000, address range: 0x80000000-0x8000fe80

Load an ELF file from /dev/hda1 which should be an EXT2 partition:

    RedBoot> load -mode disk hda1:hello.elf
    Entry point: 0x00020000, address range: 0x00020000-0x0002fd70

Prev | Home | Next
ip_address | Up | mcmp